	  program test_case
	    integer a
test: 	SELECT CASE(a)
		CASE(2:3,12) TEST
	 		a = a + 1
		CASE(7,11) TEST
	 		a = a + 2
        CASE(4:6,8:10) TEST
            a = a + 3
        CASE(1) TEST
            a = a + 3
		CASE DEFAULT
			a = a * 3
      	END SELECT

	END 
